Project

General

Profile

Bug #35688

Can't sync container repos from pulp_container 2.14 to proxies with pulp_container 2.10

Added by Samir Jha about 1 month ago. Updated 27 days ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Foreman Proxy Content
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

With pulpcore3.21, pulp_container 2.14, syncing a container repo to a proxy on 3.18 throws a "signed_only" unrecognized field error.

Associated revisions

Revision 71218935 (diff)
Added by Samir Jha about 1 month ago

Fixes #35688 - Monkey patch pulp_container binding to allow syncing from 2.14 -> 2.10 (#10331)

  • Fixes #35688 - Monkey patch pulp_container binding to allow syncing from 2.14 -> 2.10

(cherry picked from commit 7e9de71cc66309dd689eceb453e1a18e70b4640a)

  • Fixes #35688 - VCRs with monkey-patched gem

History

#1 Updated by Samir Jha about 1 month ago

  • Subject changed from Can't sync container repos to proxies to Can't sync container repos from pulp_container 2.14 to proxies with pulp_container 2.10

#2 Updated by The Foreman Bot about 1 month ago

  • Status changed from New to Ready For Testing
  • Pull request https://github.com/Katello/katello/pull/10331 added

#3 Updated by The Foreman Bot about 1 month ago

  • Fixed in Releases Katello 4.7.0 added

#4 Updated by Samir Jha about 1 month ago

  • Status changed from Ready For Testing to Closed

#5 Updated by Chris Roberts 27 days ago

  • Triaged changed from No to Yes

Also available in: Atom PDF